Modify

Opened 2 months ago

Closed 2 months ago

Last modified 2 months ago

#18972 closed enhancement (irreproducible)

josm exception for a way without node

Reported by: katpatuka Owned by: katpatuka
Priority: normal Milestone:
Component: Core Version: latest
Keywords: way without nodes Cc: katpatuka

Description (last modified by Don-vip)

When uploading an .osm file I encountered an josm exception: Way -3487748 must have at least one node. Looking in the -osm file it contained:

  <way id='-3487748' action='modify' visible='true'>
  </way>

without any <node>. No idea how that happened. I had to manually remove the code from the .osm file before I could continue uploading. At least such a case shouldn't produce an exception - a warning or a silent skip could IMO be enough. A way without nodes is not a way ;)

Attachments (1)

suspicious-data.png (16.1 KB) - added by katpatuka 2 months ago.
suspicious data found by validator

Download all attachments as: .zip

Change History (10)

comment:1 Changed 2 months ago by Don-vip

Owner: changed from team to katpatuka
Status: newneedinfo

Thanks for your report, however your ticket is incomplete and therefore not helpful in its current form.

Please add all needed information according to this list:

  • The required parts of the Status Report from your JOSM.
  • Describe what behaviour you expected.
  • Describe what did happen instead.
  • Describe if and how the issue is reproducible.
  • Add any relevant information like error messages or screenshots.

To ensure that all technical relevant information is contained, create new tickets by clicking in JOSMs Main Menu on Helpsource:trunk/resources/images/bug.png Report Bug.


comment:2 Changed 2 months ago by Don-vip

Description: modified (diff)

comment:3 Changed 2 months ago by katpatuka

Not reproducible for now... output from console:

2020-03-24 10:51:41.828 WARNING: Error header "Precondition failed: Way -3487748 must have at least one node" did not match with an expected pattern
2020-03-24 10:51:41.828 SEVERE: org.openstreetmap.josm.io.OsmApiException: ResponseCode=412, Error Header=<Precondition failed: Way -3487748 must have at least one node>
org.openstreetmap.josm.io.OsmApiException: ResponseCode=412, Error Header=<Precondition failed: Way -3487748 must have at least one node>
        at org.openstreetmap.josm.io.OsmApi.sendRequest(OsmApi.java:726)
        at org.openstreetmap.josm.io.OsmApi.sendRequest(OsmApi.java:633)
        at org.openstreetmap.josm.io.OsmApi.uploadDiff(OsmApi.java:567)
        at org.openstreetmap.josm.io.OsmServerWriter.uploadChangesInChunks(OsmServerWriter.java:174)
        at org.openstreetmap.josm.io.OsmServerWriter.uploadOsm(OsmServerWriter.java:218)
        at org.openstreetmap.josm.gui.io.UploadPrimitivesTask.realRun(UploadPrimitivesTask.java:261)
        at org.openstreetmap.josm.gui.io.AsynchronousUploadPrimitivesTask.realRun(AsynchronousUploadPrimitivesTask.java:129)
        at org.openstreetmap.josm.gui.PleaseWaitRunnable.doRealRun(PleaseWaitRunnable.java:94)
        at org.openstreetmap.josm.gui.PleaseWaitRunnable.run(PleaseWaitRunnable.java:142)
        at java.util.concurrent.ThreadPoolExecutor.runWorker(Unknown Source)
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source)
        at java.lang.Thread.run(Unknown Source)

2020-03-24 10:51:41.859 SEVERE: Precondition violation - org.openstreetmap.josm.gui.widgets.HtmlPanel[,0,0,0x0,invalid,l
ayout=java.awt.BorderLayout,alignmentX=0.0,alignmentY=0.0,border=,flags=9,maximumSize=,minimumSize=,preferredSize=]

comment:4 Changed 2 months ago by skyper

Would you please add the first blocks of you status report, e.g. that we know the JOSM version and installed plugins. See wikitr:/Help/Action/ShowStatusReport what is important and what should be kept private.

comment:5 Changed 2 months ago by katpatuka

URL:https://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2020-02-26 10:50:27 +0100 (Wed, 26 Feb 2020)
Build-Date:2020-02-26 09:52:41
Revision:15937
Relative:URL: ^/trunk

Identification: JOSM/1.5 (15937 en) Windows XP 32-Bit
OS Build number: Microsoft Windows XP (1.511.1 () (Obsolete data - do not use))
Memory Usage: 765 MB / 989 MB (437 MB allocated, but free)
Java version: 1.8.0_151-b12, Oracle Corporation, Java HotSpot(TM) Client VM
Screen: \Display0 1360x768
Maximum Screen Size: 1360x768
Dataset consistency test: No problems found

Plugins:
+ FastDraw (35256)
+ PicLayer (35313)
+ apache-commons (35092)
+ ejml (35122)
+ ext_tools (35248)
+ geochat (35248)
+ geotools (35169)
+ jaxb (35092)
+ jts (35122)
+ measurement (35248)
+ opendata (35330)
+ reverter (35313)
+ utilsplugin2 (35334)
+ waydownloader (35092)
+ wikipedia (1.1.3)

Tagging presets:
+ D:\belgelerim\mypreset-latest.xml

Last errors/warnings:
- E: Error header: The node with the id 7309020234 has already been deleted
- W: Node 'Jindong ‎(32.612542, 105.548157) [id: 7,309,020,234]' is already deleted. Skipping object in upload.
- W: java.net.SocketTimeoutException: Read timed out. Cause: java.net.SocketTimeoutException: Read timed out
- W: java.net.SocketTimeoutException: Read timed out. Cause: java.net.SocketTimeoutException: Read timed out
- W: java.net.SocketTimeoutException: Read timed out. Cause: java.net.SocketTimeoutException: Read timed out
- W: java.net.SocketTimeoutException: Read timed out. Cause: java.net.SocketTimeoutException: Read timed out
- W: java.net.SocketTimeoutException: Read timed out. Cause: java.net.SocketTimeoutException: Read timed out
- W: java.net.SocketTimeoutException: Read timed out. Cause: java.net.SocketTimeoutException: Read timed out
- W: java.net.SocketTimeoutException: Read timed out. Cause: java.net.SocketTimeoutException: Read timed out
- W: Already here java.net.SocketTimeoutException: Read timed out
Last edited 2 months ago by skyper (previous) (diff)

comment:6 Changed 2 months ago by katpatuka

Summary: josm exception for a way wıthout nodejosm exception for a way without node

comment:7 Changed 2 months ago by Don-vip

Resolution: irreproducible
Status: needinfoclosed

We can't magically guess what happened if even you can't find a way to reproduce.

Note also you're running an outdated version of Java with an obsolete and unsupported operating system. It doesn't help to bring stability.

Changed 2 months ago by katpatuka

Attachment: suspicious-data.png added

suspicious data found by validator

comment:8 Changed 2 months ago by katpatuka

Don't worry - xp is very stable: never crashes ;)

I can of course reproduce it manually. Create an .osm file as follows and try to upload it.

<?xml version='1.0' encoding='UTF-8'?>
<osm version='0.6' generator='JOSM'>
  <way id='-3487748' action='modify' visible='true'>
  </way>
</osm>

Validator pops up (see attachment) but you continue trying to upload and are interrupted by exception.

comment:9 Changed 2 months ago by stoecker

Well, so you ignore the warning and wonder why the server rejects the data later: Well that's why it is marked as error.

Question is how have you been able to produce a way without a single node?

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain katpatuka.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.